'
' Demonstrate the replacement HPWM library routine for PIC16F150x devices.
' Devices supported are: PIC16F1503, PIC16F1507, PIC16F1508, and PIC16F1509
'
' Written for the Proton BASIC compiler, by Les Johnson
'
    Device = 16F1503
    Declare Xtal = 16
'
' Set fuses for an external oscillator
'
    Config1 FOSC_ECH, WDTE_OFF, PWRTE_OFF, MCLRE_ON, CP_OFF, BOREN_OFF, CLKOUTEN_OFF
    Config2 WRT_OFF, STVREN_OFF, BORV_LO, LPBOR_OFF, LVP_OFF

    Include "HPWM_16F150X.inc"                  ' Load the HPWM replacement routine into the program
'
' Create a user variable
'
    Dim bDutyCycle As Byte                      ' Holds the duty cycle for the HPWM command

'--------------------------------------------------------------
' Main routine to increment the duty cycle of the HPWM commands
'
Main:

    Do
        For bDutyCycle = 0 To 255
            HPWM 1, bDutyCycle, 2000
            HPWM 2, bDutyCycle, 2000
            HPWM 3, bDutyCycle, 2000
            'HPWM 4, bDutyCycle, 2000
            DelayMS 10
        Next
    Loop




